Subject: Re: What happened to include/asm-ppc??

From: Arnd Bergmann <[email-masked]>
Date: Sat, 17 Feb 2007 00:22:23 +0100

On Friday 16 February 2007 23:40, Timur Tabi wrote:
> > That shouldn't be the case, the headers from asm-powerpc should be
> > sufficient for all 32 and 64 bit user apps, if not then you should
> > really report that as a bug.
> 
> I thought applications weren't supposed to include kernel header files?
> 
Right, but glibc depends on them. We now have a mechanism of installing
a subset of the kernel headers with 'make headers_install' in order
to be used by glibc. This currently will install a set of the asm-powerpc
files, but we got rid of all user dependencies on asm-ppc headers.

	Arnd <><